/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.csetl.engine;

import org.springblade.csetl.dto.BaseQueryParam;

/**
 * SQL执行器接口
 *
 * @author wookvn
 * @datetime 2025-02-05 15:14:18
 */
public interface SqlExecutor<T> {

    /**
     * 检查连接
     *
     * @param queryParam 参数
     * @return 检查结果
     */
    public Boolean check(BaseQueryParam queryParam);

    /**
     * 查询
     *
     * @param queryParam 参数
     * @return 查询结果
     */
    public T query(BaseQueryParam queryParam);
}
