package org.springblade.csetl.entity;

import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 定制的数据同步任务分类表 cs_dsy_job_category
 *
 * @author your_name
 * @date 2025-02-06
 */
@Data
@TableName("cs_dsy_job_category")
@ApiModel(value = "CsDsyJobCategory对象", description = "定制的数据同步任务分类")
public class CsDsyJobCategory {

    private static final long serialVersionUID = 1L;

    /**
     * 分类ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private String tenantId;

    /**
     * 分类名称
     */
    @ApiModelProperty(value = "分类名称")
    @TableField(condition = SqlCondition.LIKE)
    private String cateName;

    /**
     * 父级ID
     */
    @ApiModelProperty(value = "父级ID")
    private Integer parentId;

    /**
     * 排序号
     */
    @ApiModelProperty(value = "排序号")
    private Integer sortNum;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    private Long createUserId;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
}

