package org.springblade.csetl.entity;


import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springblade.csetl.enums.CsInstanceRunType;
import org.springblade.csetl.enums.CsInstanceStatus;

/**
 * 定制的数据同步任务实例表 cs_dsy_job_instance
 *
 * @author your_name
 * @date 2025-02-06
 */
@Data
@TableName("cs_dsy_job_instance")
@ApiModel(value = "CsDsyJobInstance对象", description = "定制的数据同步任务实例")
@Accessors(chain = true)
public class CsDsyJobInstance {

    private static final long serialVersionUID = 1L;

    /**
     * 实例ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private String tenantId;

    /**
     * 任务ID
     */
    @ApiModelProperty(value = "任务ID")
    private Integer jobId;

    /**
     * 作业开始时间
     */
    @ApiModelProperty(value = "作业开始时间")
    private Date startTime;

    /**
     * 作业结束时间
     */
    @ApiModelProperty(value = "作业结束时间")
    private Date endTime;

    /**
     * 作业运行类型(手动 自动)
     */
    @ApiModelProperty(value = "作业运行类型(手动 自动)")
    private CsInstanceRunType instanceRunType;

    /**
     * 作业状态
     */
    @ApiModelProperty(value = "作业状态")
    private CsInstanceStatus instanceStatus;

    /**
     * 错误描述
     */
    @ApiModelProperty(value = "错误描述")
    private String errMsg;

    /**
     * 读取行数
     */
    @ApiModelProperty(value = "读取行数")
    private Long readRowCount;

    /**
     * 写入行数
     */
    @ApiModelProperty(value = "写入行数")
    private Long writeRowCount;

    /**
     * 错误行数
     */
    @ApiModelProperty(value = "错误行数")
    private Long errorRowCount;

    /**
     * 输入数据源表名
     */
    @ApiModelProperty(value = "输入数据源表名")
    private String sourceTableName;

    /**
     * 目标数据源表名
     */
    @ApiModelProperty(value = "目标数据源表名")
    private String targetTableName;

    /**
     * 任务创建时间
     */
    @ApiModelProperty(value = "任务创建时间")
    private LocalDateTime createTime;
}

