package org.springblade.csetl.entity;


import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 定制的数据同步任务权限组表 cs_dsy_job_permission
 *
 * @author your_name
 * @date 2025-02-06
 */
@Data
@TableName("cs_dsy_job_permission")
@ApiModel(value = "CsDsyJobPermission对象", description = "定制的数据同步任务权限组")
public class CsDsyJobPermission {

    private static final long serialVersionUID = 1L;

    /**
     * 权限ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 任务ID
     */
    @ApiModelProperty(value = "任务ID")
    private Integer jobId;

    /**
     * 权限组ID
     */
    @ApiModelProperty(value = "权限组ID")
    private Integer dataPermId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    private Long createUserId;

    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
}

