package org.springblade.csetl.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.csetl.enums.CsDsTypeEnum;

/**
 * 定制的数据源表 cs_report_datasource
 *
 * @author your_name
 * @date 2025-02-06
 */
@Data
@TableName("cs_report_datasource")
@ApiModel(value = "CsReportDatasource对象", description = "定制的数据源")
public class CsReportDatasource {

    private static final long serialVersionUID = 1L;

    /**
     * 数据源ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    @ApiModelProperty(value = "租户ID")
    private String tenantId;

    /**
     * 连接名，用于显示
     */
    @ApiModelProperty(value = "连接名，用于显示")
    private String dsName;

    /**
     * IP地址
     */
    @ApiModelProperty(value = "IP地址")
    private String dsIp;

    /**
     * 端口
     */
    @ApiModelProperty(value = "端口")
    private Integer dsPort;

    /**
     * 数据库名/influxdbV2-org
     */
    @ApiModelProperty(value = "数据库名/influxdbV2-org")
    private String dsDb;

    /**
     * 连接URL
     */
    @ApiModelProperty(value = "连接URL")
    private String dsUrl;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String dsUser;

    /**
     * 数据库密码
     */
    @ApiModelProperty(value = "数据库密码")
    private String dsPassword;

    /**
     * 数据源类型(0-mysql, 1-es, 2-influxdb)
     */
    @ApiModelProperty(value = "数据源类型(0-mysql, 1-es, 2-influxdb)")
    private CsDsTypeEnum dsType;

    /**
     * fluxV2版本的token值/userpass任选其一
     */
    @ApiModelProperty(value = "fluxV2版本的token值/userpass任选其一")
    private String fluxToken;

    /**
     * influxdb是否fluxV2版本
     */
    @ApiModelProperty(value = "influxdb是否fluxV2版本")
    private Boolean fluxV2Status;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 创建人ID
     */
    @ApiModelProperty(value = "创建人ID")
    private Long createUserId;
}
