package org.springblade.csetl.enums;

import cn.hutool.core.util.ArrayUtil;
import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.flink.api.common.JobStatus;

import java.util.stream.Stream;

@Getter
@AllArgsConstructor
public enum CsInstanceStatus {

	RUNNING(0, "运行中"),
	SUCCESS(1, "成功"),
	FAILURE(2, "失败"),
    UNKNOWN(3, "未知"),
    ;

    @EnumValue
    private Integer value;
    private String label;

    private final static CsInstanceStatus[] instanceStatusArray = CsInstanceStatus.values();
    
    /**
     * 
     * @param value
     * @return
     */
    public static CsInstanceStatus of(Integer value) {
    	return Stream.of(instanceStatusArray).filter(item -> item.getValue().equals(value)).findAny().orElse(CsInstanceStatus.UNKNOWN);
    }
    
    /**
     * 是否已结束
     * @param jobStatus
     * @return
     */
    public static boolean isDone(JobStatus jobStatus) {
    	return ArrayUtil.contains( new JobStatus[] {JobStatus.FAILED, JobStatus.CANCELED, JobStatus.FINISHED}, jobStatus);
    }
    
}
