package org.springblade.datasource.transform;

import lombok.Data;

import java.util.List;

/**
 * @author 喜欢番茄火锅
 * @date 2023/8/16 15:41
 */
@Data
public class TableInfo {

    /**
     * 表名
     *
     * @author 王瑞
     * @date 2023/8/16
     */
    private String tableName;
    /**
     * 默认引擎
     *
     * @param null
     * @return {@link null}
     * @author 王瑞
     * @date 2023/8/16
     */
    private String engine = "InnoDB";
    /**
     * 默认字符集
     *
     * @param null
     * @return {@link null}
     * @author 王瑞
     * @date 2023/8/16
     */
    private String charset = "utf8mb4";
    /**
     * 字段信息
     *
     * @param null
     * @return {@link null}
     * @author 王瑞
     * @date 2023/8/16
     */
    private List<ColumnInfo> columnInfo;
    /**
     * 索引信息
     *
     * @param null
     * @return {@link null}
     * @author 王瑞
     * @date 2023/8/16
     */
    private List<IndexInfo> indexInfo;

    /**
     * 表备注
     *
     * @author 王瑞
     * @date 2023/8/16
     */
    private String tableComment;

}
