/**
 * 
 */
package org.springblade.etl.connector.source.config;

import java.math.BigDecimal;

import org.springblade.etl.connector.base.jdbc.JdbcConnectionConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 * 
 * org.apache.seatunnel.connectors.seatunnel.jdbc.config.JdbcSourceConfig
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelJdbcSourceConfig extends JdbcConnectionConfig {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 查询语句
	 */
	@JsonProperty(required = true)
	private String query;
	
	/**
	 * 拉取数据条数
	 */
	private Integer fetch_size = 8000;
	
	/**
	 * 分片读取设置
	 */
	private String partition_column;
	private Integer partition_num;
    private BigDecimal partition_upper_bound;
    private BigDecimal partition_lower_bound;
	
}
