/**
 * 
 */
package org.springblade.etl.connector.transform.config;

import java.util.List;

import javax.validation.constraints.NotNull;

import org.springblade.etl.connector.base.SeatunnelConfig;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelColumnMergeTransformConfig extends SeatunnelConfig {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@NotNull(message = "列合并组件：字段列表不能为空")
	@ApiModelProperty("字段名列表[根据先后顺序合并]")
	private List<String> fields;
	
	@ApiModelProperty("分隔符[不填写为空字符串，空字符串为空格，以及自定义字符串]")
	private String separator;
	
	@JsonProperty("is_retain")
	@ApiModelProperty("是否包保留原始字段[默认保留]")
	private Boolean isRetain = true;
	
	@JsonProperty("dest_field")
	@NotNull(message = "列合并组件：目标字段名不能为空")
	@ApiModelProperty("目标字段名")
	private String destField;

}
