/**
 * 
 */
package org.springblade.etl.connector.transform.config;

import java.util.List;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

import org.springblade.etl.connector.base.SeatunnelConfig;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelColumnSelectTransformConfig extends SeatunnelConfig {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@NotNull(message = "列选择组件：字段列表不能为空")
	private List<ColSelectField> fields;
	
	@Data
	public static class ColSelectField{
		@ApiModelProperty("原字段名")
		@NotEmpty(message = "列选择组件：原字段名不能为空")
	    private String field;
		@ApiModelProperty("修改后字段名")
		@NotEmpty(message = "列选择组件：修改后字段名不能为空")
	    private String newFiled;
	}
}
