/**
 * 
 */
package org.springblade.etl.engine.flink.dto;

import java.io.Serializable;
import java.util.Set;

import org.springblade.etl.enums.ConnectorType;
import org.springblade.etl.enums.FlinkDeployMode;
import org.springblade.etl.enums.JdbcType;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class SubmitJobReq implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 任务名称
	 */
	private String jobName;
	/**
	 * Flink接口地址
	 */
	private String flinkInterfaceUrl;
	/**
	 * 部署方式
	 */
	private FlinkDeployMode deployMode = FlinkDeployMode.SESSION;
	private String applicationId;
	
	/**
	 * seatunnel_conf文件对应的json
	 */
	private String jobConfigJson;
	
	/**
	 * 本次提交任务的插件和jdbc依赖
	 */
	private Set<ConnectorType> plugins;
	private Set<JdbcType> jdbcs;
	
	/**
	 * 回滚的快照path
	 */
	private String savePointPath;
}