package org.springblade.etl.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * SQL任务权限组表 sql_job_permission
 * 
 * @author aokunsang
 * @date 2023-12-03
 */
@Data
@TableName("sql_job_permission")
@ApiModel(value = "SqlJobPermission对象", description = "SQL任务权限组")
public class SqlJobPermission implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Integer id;
	

	/** 
	 * 任务ID 
	 */
	@ApiModelProperty(value = "任务ID")
	private Integer jobId;

	/** 
	 * 权限组ID 
	 */
	@ApiModelProperty(value = "权限组ID")
	private Integer dataPermId;

	/** 
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	/** 
	 * 创建人ID 
	 */
	@ApiModelProperty(value = "创建人ID")
	private Long createUserId;

	/** 
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人")
	private String createBy;
}
