/**
 * 
 */
package org.springblade.etl.properties;

import java.util.List;
import java.util.Map;

import org.springblade.etl.enums.ResourceProvider;
import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
@ConfigurationProperties(prefix = "platomix.etl")
public class EtlProperties {

	/**
	 * flink的home地址
	 */
	private String flinkHome;
	
	/**
	 * flink版本号
	 */
	private String flinkVersion;
	
	/**
	 * flink的webui地址
	 */
	private List<String> flinkWebInterfaceUrls;
	
	private ResourceProvider flinkResourceProvider;
	
	/**
	 * flink的配置信息
	 */
	private Map<String, String> flinkConfigOptions;
	
	private String clusterCredentialPath;
	
	/**
	 * seatunnel的home地址
	 */
	private String seatunnelHome;
	
	/**
	 * seatunnel版本号
	 */
	private String seatunnelVersion;
	
	/**
	 * 临时操作空间
	 */
	private String tempWorkspace;
	
}
